<template>
    <div class="container-fluid">
        <div class="row">
            <div class="col-6">
                <div class="card">
                    <div class="card-body">
                        <h5 class="card-title">Login</h5>
                        <h6 class="card-subtitle mb-2 text-muted ">Pokemon Enthusiast Portal</h6>
                        <form @submit="onLogin">
                            <div class="mb-3">
                                <label for="login-email" class="form-label">Email address</label>
                                <input v-model="email" type="email" class="form-control" id="login-email" placeholder="ash.ketchum@pokemon.mail" required>
                            </div>
                            <div class="mb-3">
                                <label for="login-password" class="form-label">Password</label>
                                <input v-model="password" type="password" class="form-control" id="login-password"
                                    placeholder="**********" required>
                            </div>
                            <button type="submit" class="btn btn-primary">Submit</button>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</template>

<script>
export default {
    name: "LoginForm",
    data(){
        return {
            email: "",
            password: "",
        }
    },
    methods: {
        onLogin(e){
            e.preventDefault();

            const loginAttempt = {
                email: this.email,
                password: this.password,
            }

            if (this.email && this.password) {
                this.$emit('login-attempt',loginAttempt);
            }
            else{
                alert('Unable to process request')
            }
        }

      
    },
    emit:['login-attempt']

}
</script>


<style scoped>

</style>